Loading...
Searching...
No Matches
seqan3::sequence_file_input_options< sequence_legal_alphabet > Struct Template Reference
IO » Sequence File

The options type defines various option members that influence the behaviour of all or some formats. More...

`#include <seqan3/io/sequence_file/input_options.hpp>`

Inheritance diagram for seqan3::sequence_file_input_options< sequence_legal_alphabet >:
[legend]

## Public Attributes

bool | embl_genbank_complete_header = false
| Read the complete_header into the seqan3::field::id for embl or genbank format.
bool | fasta_ignore_blanks_before_id = true
| Remove spaces after ">" (or ";") before the actual ID.
bool | truncate_ids = false
| Read the ID string only up until the first whitespace character.

## Detailed Description

template<typename sequence_legal_alphabet>
struct seqan3::sequence_file_input_options< sequence_legal_alphabet >

The options type defines various option members that influence the behaviour of all or some formats.

Template Parameters

  sequence_legal_alphabet_ | The sequence legal alphabet exposed as type trait to the format.

Remarks
  For a complete overview, take a look at Sequence File

The documentation for this struct was generated from the following file:

- sequence_file/input_options.hpp

Hide me